Package org.jfree.layouting

## Class DefaultLayoutProcess.DefaultLayoutProcessState

- java.lang.Object
- - org.jfree.layouting.AbstractLayoutProcess.AbstractLayoutProcessState
  - - org.jfree.layouting.DefaultLayoutProcess.DefaultLayoutProcessState

- All Implemented Interfaces:
    `LayoutProcessState`
  Enclosing class:
    DefaultLayoutProcess

      protected static class DefaultLayoutProcess.DefaultLayoutProcessState
      extends AbstractLayoutProcess.AbstractLayoutProcessState

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DefaultLayoutProcessState​(AbstractLayoutProcess lp)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LayoutProcess` | `restore​(OutputProcessor outputProcessor)` |

    - ### Methods inherited from class org.jfree.layouting.AbstractLayoutProcess.AbstractLayoutProcessState

      `restore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLayoutProcessState

          protected DefaultLayoutProcessState​(AbstractLayoutProcess lp)
                                       throws StateException

      Throws:
        `StateException`

  - ### Method Detail

    - #### restore

          public LayoutProcess restore​(OutputProcessor outputProcessor)
                                throws StateException

      Throws:
        `StateException`